<div style="margin-bottom: 15px;">
    <!-- <h5>
       <span jhiTranslate="mpmApp.billingDisbursement.home.title">Billing Disbursements</span>
    </h5> -->
    <p-dataTable
        [value]="billingDisbursements"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idBilling"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="openAdd()"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['upload']"><i class="fa fa-upload"></i> &nbsp; Upload</a>
                </li>
            </ul>
            <div class="fieldset-legend">
                <div class="text-left">
                <p-accordion class="filter-accordion" expandIcon="fa fa-search-plus" collapseIcon="fa fa-search-minus">
                    <p-accordionTab header="Filter">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Tanggal Invoice</label>
                                <div class="row">
                                    <div class="col-md-5">
                                        <div class="input-group input-calendar">
                                            <p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                    <div class="col-md-1">s/d</div>
                                    <div class="col-md-5">
                                        <div class="input-group input-calendar">
                                            <p-calendar class="size-calendar"  [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label>Status</label>
                                <select class="form-control" id="field_status" name="status">
                                    <option [ngValue]="null"></option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Main Dealer</label>
                                <select class="form-control" id="field_mainDealer" name="mainDealer">
                                    <option [ngValue]="null"></option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label>Dealer</label>
                                <select class="form-control" id="field_dealer" name="dealer">
                                    <option [ngValue]="null"></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="btn-filter-wrapper">
                        <button type="button" class="btn btn-primary btn-filter">
                            <span>FILTER</span>
                        </button>
                    </div>
                    </p-accordionTab>
                </p-accordion>
                <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                              name="currentSearch" placeholder="{{ 'mpmApp.billingDisbursement.home.search' | translate }}">
                            <button class="input-group-addon btn btn-info" (click)="search(currentSearch)" *ngIf="currentSearch">
                                <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                        </div>
                    </form>
                    <ul class="nav justify-content-end">
                        <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
                        <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                        </li>
                    </ul>
                </div>
                </div>
            </div>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="No Invoice / DO">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.vendorInvoice}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Invoice / DO" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateIssued | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Main Dealer">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.vendorName}}</a>
            </ng-template>
        </p-column>
        <p-column header="Dealer">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.internalName}}
            </ng-template>
        </p-column>
        <p-column header="Ongkos Angkut (Rp)">
            <ng-template let-rowData="rowData" pTemplate="body">
                -
            </ng-template>
        </p-column>
        <p-column header="Status">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{getCurrentStatusDesc(rowData.currentStatus)}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['0/' + page + '/' + rowData.idBilling + '/edit']"
                        icon="fa-info-circle"
                        class="flat-button"
                        pTooltip="Detail">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>